/*#############################################################################
  # Copyright (c) 2010 Giovanni "Raptor" Pessiva <giovanni.pessiva@gmail.com> #
  # This program is free software: you can redistribute it and/or modify      #
  # it under the terms of the GNU General Public License version 3            #
  # as published by the Free Software Foundation.                             #
  #############################################################################*/
#include <QtGui/QApplication>
#include <QDebug>
#include <QDialog>
#include <QFileDialog>
#include "newname.h"

int main(int argc, char *argv[])
{
    Q_INIT_RESOURCE(media);

    QApplication a(argc, argv);

    QIcon icon(":/icon.gif");
    QFileInfo *selected=NULL;


    //Use file passed as command-line parameter
    for(int i=1;    i<argc &&  !selected;    i++)
    {
        QFileInfo file(argv[i]);
        if(file.exists())
        {
            selected=new QFileInfo(argv[1]);
        }
    }

    //Let the user select a file
    if(!selected)
    {
        QFileDialog fileSelector;
        fileSelector.setFileMode(QFileDialog::ExistingFile);
        fileSelector.setViewMode(QFileDialog::Detail);

        fileSelector.setWindowIcon(icon);

        if(!fileSelector.exec())
        {
            a.quit();
            return 0;
        }

        QStringList fileName = fileSelector.selectedFiles();
        selected=new QFileInfo(fileName.join(""));
    }

    NewName w(selected);
    w.QDialog::setWindowIcon(icon);
    int val=QDialog::Rejected;
    do{
        if(val==QDialog::Rejected)
        {
            //lanch NewName window
            val=w.exec();
        }else{
            //an error occurred
            a.quit();
            return -1;
        }
    }while(val!=QDialog::Accepted);

    a.exit();
    return 0;
}
