/*#############################################################################
  # Copyright (c) 2010 Giovanni "Raptor" Pessiva <giovanni.pessiva@gmail.com> #
  # This program is free software: you can redistribute it and/or modify      #
  # it under the terms of the GNU General Public License version 3            #
  # as published by the Free Software Foundation.                             #
  #############################################################################*/
#ifndef NEWNAME_H
#define NEWNAME_H

#include "parsedfile.h"
#include <QDialog>
#include <QList>
#include <QString>
#include <QDir>
#include <QFileInfo>
#include <QFileInfoList>
#include <QLineEdit>
#include <QBoxLayout>
#include <QPushButton>

class NewName : public QDialog
{
    Q_OBJECT

public:
    explicit NewName(QFileInfo *fileInfo, QWidget *parent = 0);
    void setFilesList(QList<QString> *manualList=NULL);

private:
    QList<QString> *applyChangement(QString newName);
    bool detectDuplicates(QList<QString> *newList);
    void rename(QList<QString> *newList);
    void closeEvent(QCloseEvent * event);

    ParsedFile *m_sample;
    QDir *m_directory;
    QList<ParsedFile> m_list;

    QLineEdit *m_newName;
    QBoxLayout *m_main;
    QBoxLayout *m_buttons;
    QPushButton *m_ok;
    QPushButton *m_cancel;


private slots:
    void on_okButton_clicked();
    void on_cancelButton_clicked();
};

#endif // MAINWINDOW_H
